<script src="/user/assets/themes/deepblue/js/jquery-3.5.1.min.js"></script>

<script src="/user/assets/global/js/jquery-ui.min.js"></script>
<script src="/user/assets/global/js/popper.min.js"></script>
<script src="/user/assets/global/js/bootstrap.min.js"></script>

<script src="/user/assets/global/js/notiflix-aio-2.7.0.min.js"></script>
<script src="/user/assets/themes/deepblue/js/fontawesome.min.js"></script>
<script src="/user/assets/themes/deepblue/js/wow.min.js"></script>
<script src="/user/assets/themes/deepblue/js/jquery.flagstrap.min.js"></script>
<script src="/user/assets/themes/deepblue/js/slick.min.js"></script>
<script src="/user/assets/themes/deepblue/js/owl.carousel.min.js"></script>
<script src="/user/assets/themes/deepblue/js/multi-animated-counter.js"></script>
<script src="/user/assets/themes/deepblue/js/radialprogress.js"></script>


<script src="/user/assets/global/js/pusher.min.js"></script>
<script src="/user/assets/global/js/vue.min.js"></script>
<script src="/user/assets/global/js/axios.min.js"></script>

<script src="/user/assets/themes/deepblue/js/script.js"></script>

{literal}
<script>
    'use strict';
    let pushNotificationArea = new Vue({
        el: "#pushNotificationArea",
        data: {
            items: [],
        },
        mounted() {
            this.getNotifications();
            this.pushNewItem();
        },
        methods: {
            getNotifications() {
                let app = this;
                axios.get("/user/user/push-notification-show")
                    .then(function (res) {
                        app.items = res.data;
                    })
            },
            readAt(id, link) {
                let app = this;
                let url = "/user/user/push-notification-readAt/0";
                url = url.replace(/.$/, id);
                axios.get(url)
                    .then(function (res) {
                        if (res.status) {
                            app.getNotifications();
                            if (link != '#') {
                                window.location.href = link
                            }
                        }
                    })
            },
            readAll() {
                let app = this;
                let url = "/user/user/push.notification.readAll";
                axios.get(url)
                    .then(function (res) {
                        if (res.status) {
                            app.items = [];
                        }
                    })
            },
            pushNewItem() {
                let app = this;
                // Pusher.logToConsole = true;
                let pusher = new Pusher("5fe96ccfdf1aefb0e849", {
                    encrypted: true,
                    cluster: "ap2"
                });
                let channel = pusher.subscribe('user-notification.' + "633");
                channel.bind('App\\Events\\UserNotification', function (data) {
                    app.items.unshift(data.message);
                });
                channel.bind('App\\Events\\UpdateUserNotification', function (data) {
                    app.getNotifications();
                });
            }
        }
    });
</script>


    <script src="/user/assets/themes/deepblue/js/apexcharts.js"></script>


    <script>
        "use strict";

        var options = {
            theme: {
                mode: 'dark',
            },

            series: [
                {
                    name: "Investment",
                    color: 'rgba(247, 147, 26, 1)',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0]
                },
                {
                    name: "Payout",
                    color: 'rgba(240, 16, 16, 1)',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0]
                },
                {
                    name: "Deposit",
                    color: 'rgba(255, 72, 0, 1)',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0]
                },
                {
                    name: "Deposit Bonus",
                    color: 'rgba(39, 144, 195, 1)',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0]
                },
                {
                    name: "Investment Bonus",
                    color: 'rgba(136, 203, 245, 1)',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0]
                }
            ],
            chart: {
                type: 'bar',
                // height: ini,
                background: '#131e51',
                toolbar: {
                    show: false
                }

            },
            plotOptions: {
                bar: {
                    horizontal: false,
                    columnWidth: '55%',
                    endingShape: 'rounded'
                },
            },
            dataLabels: {
                enabled: false
            },
            stroke: {
                show: true,
                width: 2,
                colors: ['transparent']
            },
            xaxis: {
                categories: ["January","February","March","April","May","June","July","August","September","October","November","December"],

            },
            yaxis: {
                title: {
                    text: ""
                }
            },
            fill: {
                opacity: 1
            },
            tooltip: {
                colors: ['#000'],
                y: {
                    formatter: function (val) {
                        return "$" + val + ""
                    }
                }
            }
        };

        var chart = new ApexCharts(document.querySelector("#container"), options);
        chart.render();

        function copyFunction() {
            var copyText = document.getElementById("sponsorURL");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            /*For mobile devices*/
            document.execCommand("copy");
            Notiflix.Notify.Success(`Copied: ${copyText.value}`);
        }
    </script>






<script>
    $(document).ready(function () {
        $(".language").find("select").change(function(){
            window.location.href = "/user/language/"+$(this).val()
        })
    })
</script>

{/literal}



<div class="gtranslate_wrapper"></div>
{literal}

<script>window.gtranslateSettings = {"default_language":"en","detect_browser_language":true,"wrapper_selector":".gtranslate_wrapper"}</script>
<script src="https://cdn.gtranslate.net/widgets/latest/float.js" defer></script>
{/literal}

<!-- Smartsupp Live Chat script -->
<script type="text/javascript">
var _smartsupp = _smartsupp || {};
_smartsupp.key = '5a9ae28f1ccba103eeb89d192077b3c3f1b4f3dc';
window.smartsupp||(function(d) {
  var s,c,o=smartsupp=function(){ o._.push(arguments)};o._=[];
  s=d.getElementsByTagName('script')[0];c=d.createElement('script');
  c.type='text/javascript';c.charset='utf-8';c.async=true;
  c.src='https://www.smartsuppchat.com/loader.js?';s.parentNode.insertBefore(c,s);
})(document);
</script>
<noscript> Powered by <a href=“https://www.smartsupp.com” target=“_blank”>Smartsupp</a></noscript>

</body>
</html>
